<div class="header" color="">
    Welcome to the Decentralized Bank!
</div>
<div *ngIf="!this.signer" class="connect-button">
    <label>You have not connected!</label>
</div>
<div *ngIf="this.signer" class="connect-button">
    <label>You have connected!</label>
</div>
<div class="total-assets">
    Bank's Total Assets Under Management: {{this.totalAssests}} Goerli ETH
</div>
<div class="total-free">
    {{this.signerAddress}} Amount Deposited: {{this.userTotalAssests}} Goerli ETH
</div>
<div class="total-free">
    {{this.signerAddress}} Amount of Yield Token: {{this.userTotalToken}} Free
</div>

<div class="forms">
    <form [formGroup]="depositForm" (ngSubmit)="deposit()">
        <div class="deposit">
            <label for="depositAmount">
                Amount to Deposit
            </label>
            <input id="depositAmount" type="number" formControlName="DepositAmount">
            <button class="button" type="submit">Deposit</button>
        </div>
    </form>
    <form [formGroup]="withdrawForm" (ngSubmit)="withdraw()">
        <div class="withdraw">
            <label for="withdrawAmount">
                Amount to Withdraw
            </label>
            <input id="withdrawAmount" type="number" formControlName="WithdrawAmount">
            <button class="button" type="submit">Withdraw</button>
        </div>
    </form>
</div>